Skip to main content
GET
List Payments

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

date_from
string<date>

Start date for filtering (applied to Payment updated_at field)

date_to
string<date>

End date for filtering (applied to Payment updated_at field)

statuses
enum<string>[]

Comma-separated filter for specific Payment statuses. Example: statuses=SUCCEEDED FAILED. Refer to Payment statuses in GET /payments/{payment_id}

Available options:
AUTHORIZATION_REQUIRED,
AUTHORIZING,
PROCESSING,
SUBMITTED,
EXECUTED,
FAILED,
REVOKED,
CANCELLED,
CREATED
sender_type
enum<string>

Filter for a specific sender type. Refer to Payment sender_type in GET /payments/{payment_id}

Available options:
INDIVIDUAL,
BUSINESS
user_id
string

[Coming soon] Finverse unique ID for the user.

institution_id
string

Filter for a specific Institution ID

payment_type
enum<string>

Deprecated - The type of payment

Available options:
MANDATE,
SINGLE,
CARD,
MANUAL,
WALLET
payment_types
enum<string>[]

Comma-separated filter for specific Payment types. Refer to payment_type in GET /payments/{payment_id}

Available options:
MANDATE,
SINGLE,
CARD,
MANUAL,
WALLET
mandate_id
string

Filter for Payments under a specific Mandate

currency
string

Deprecated - The currency the payment is made in

currencies
string[]

Comma-separated filter for a specific of currencies

offset
integer
default:0

Pagination offset (default: 0)

limit
integer
default:500

Maximum number of records per page (default: 500, max: 1000)

Required range: 1 <= x <= 1000

Response

Successful

total_payments
integer
required

Total number of Payment records available for the selected filtering criteria (can be used to inform pagination requests)

payments
object[]

List of Payment objects that satisfy the filters in the request. Refer to Payment object data model in GET /payments/{payment_id}